Index: drivers/dahdi/dahdi-base.c
===================================================================
--- drivers/dahdi/dahdi-base.c	(revision 5409)
+++ drivers/dahdi/dahdi-base.c	(working copy)
@@ -3050,6 +3050,12 @@
 			return NULL;
 		}
 		return &chan->curzone->dtmf[tone_index - DAHDI_TONE_DTMF_BASE];
+	case DIGIT_MODE_PULSE:
+		switch (digit) {
+		case 'W':
+			return &tone_pause;
+		}
+		return &chan->curzone->dtmf[tone_index - DAHDI_TONE_DTMF_BASE];
 	case DIGIT_MODE_MFR1:
 		switch (digit) {
 		case '0':
